Bug 894407 - (CVE-2013-0176) CVE-2013-0176 libssh: NULL dereference leads to denial of service
CVE-2013-0176 libssh: NULL dereference leads to denial of service
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130122,repor...
: Security
Depends On: 902992
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 11:44 EST by Vincent Danen
Modified: 2016-03-04 06:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 16:56:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for CVE-2013-0176 (1.59 KB, patch)
2013-01-14 08:40 EST, Andreas Schneider
no flags Details | Diff

  None (edit)
Description Vincent Danen 2013-01-11 11:44:18 EST
A NULL dereference was found in libssh 0.5.3's publickey_from_privatekey() function.  When a server using libssh receives a "Client: Key Exchange Init", the server sets up the session and tries to set the algorithms by matching what the user specified vs what is supported in crypt_set_algorithms_server().  If there is no match, it will lead to a NULL dereference when receiving the "Client: Diffie-Hellman Key Exchange Init" packet, which will cause the program using libssh to crash.
Comment 2 Andreas Schneider 2013-01-14 08:40:17 EST
Created attachment 678235 [details]
Patch for CVE-2013-0176
Comment 5 Andreas Schneider 2013-01-22 10:24:57 EST
Fedora bugs are created automatically?
Comment 6 Vincent Danen 2013-01-22 16:40:33 EST
Created libssh tracking bugs for this issue

Affects: fedora-all [bug 902992]
Comment 7 Vincent Danen 2013-01-22 16:40:59 EST
Sorry, no, I forgot about the time.  =(
Comment 8 Fedora Update System 2013-02-01 23:19:45 EST
libssh-0.5.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-01 23:28:16 EST
libssh-0.5.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.